%global _configure ../configure
%define major 0.4
Name:           libdbusmenu
Version:        %{major}.4
Release:        1%{?dist}
Summary:        Library for passing menus over DBus

Group:          Development/Libraries
License:        GPLv3 and LGPLv3 and LGPLv2
URL:            https://launchpad.net/dbusmenu
Source0:        http://launchpad.net/dbusmenu/%{major}/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:  gtk3-devel >= 2.91
BuildRequires:  gtk2-devel >= 2.16
BuildRequires:  gnome-doc-utils
BuildRequires:  vala-tools
BuildRequires:  gobject-introspection-devel >= 0.10
BuildRequires:  json-glib-devel >= 0.6.0
BuildRequires:  libxslt
BuildRequires:  intltool >= 0.35.0   

%description
A small little library that was created by pulling out some common
code out of indicator-applet. It passes a menu structure across DBus
so that a program can create a menu simply without worrying about
how it is displayed on the other side of the bus.

%package glib
Summary:        Shared libraries of %{name}

%description glib
Shared libraries of %{name}

%package glib-devel
Summary:        Development files for %{name}-glib
Requires:       %{name}-glib = %{version}-%{release}

%description glib-devel
The %{name}-glib-devel package contains libraries and header files for
developing applications that use %{name}-glib.

%package glib-devel-docs
Summary:        Developer documentation for %{name}-glib

%description glib-devel-docs
Developer documentation for %{name}-glib

%package gtk2
Summary:        GTK+ version of %{name}

%description gtk2
GTK+ version of %{name}

%package gtk2-devel
Summary:        Development files for the GTK+ version of DbusMenu
Requires:       %{name}-gtk2 = %{version}-%{release}

%description gtk2-devel
Development files for the GTK+ version of DbusMenu

%package gtk3
Summary:        GTK+ version of %{name}

%description gtk3
GTK+ version of %{name}

%package gtk3-devel
Summary:        Development files for the GTK+ version of DbusMenu
Requires:       %{name}-gtk3 = %{version}-%{release}

%description gtk3-devel
Development files for the GTK+ version of DbusMenu

%package gtk3-devel-docs
Summary:        Developer documentation for the GTK+ version of DbusMenu

%description gtk3-devel-docs
Developer documentation for the GTK+ version of DbusMenu

%package json-loader
Summary:       Shared libraries to be used by test suites using DbusMenu

%description json-loader
Shared libraries to be used by test suites in applications
or libraries using DbusMenu

%package json-loader-devel
Summary:       Development files for json-loader
Requires:      %{name}-json-loader = %{version}-%{release}

%description json-loader-devel
Files that are needed to build test suites in applications
or libraries using DbusMenu

%package tools
Summary:        Utilities useful when developing with %{name}

%description tools
Utilities useful when developing with %{name}


%prep
%setup -q
tar xf %{SOURCE0}

%build
mkdir build-gtk3 build-gtk2
pushd build-gtk2
%configure --disable-static \
           --docdir=%{_datadir}/%{name} \
           --disable-introspection
make %{?_smp_mflags}
popd
pushd build-gtk3
%configure --disable-static \
           --with-gtk=3 \
           --docdir=%{_datadir}/%{name}
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build-gtk2 DESTDIR=%{buildroot} install
make -C build-gtk3 DESTDIR=%{buildroot} install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post glib -p /sbin/ldconfig
%postun glib -p /sbin/ldconfig
%post gtk2 -p /sbin/ldconfig
%postun gtk2 -p /sbin/ldconfig
%post gtk3 -p /sbin/ldconfig
%postun gtk3 -p /sbin/ldconfig
%post json-loader -p /sbin/ldconfig
%postun json-loader -p /sbin/ldconfig



%files glib
%defattr(-,root,root,-)
%doc COPYING* AUTHORS ChangeLog README
%{_libdir}/girepository-1.0/Dbusmenu-0.4.typelib
%{_libdir}/libdbusmenu-glib.so.*
%dir %{_datadir}/libdbusmenu

%files glib-devel
%defattr(-,root,root,-)
%doc COPYING* AUTHORS ChangeLog README
%{_datadir}/gir-1.0/Dbusmenu-%{major}.gir
%{_libdir}/pkgconfig/dbusmenu-glib-%{major}.pc
%{_datadir}/vala/vapi/Dbusmenu-%{major}.vapi
%{_includedir}/libdbusmenu-%{major}/libdbusmenu-glib
%{_libdir}/libdbusmenu-glib.so
%{_datadir}/libdbusmenu/examples

%files glib-devel-docs
%defattr(-,root,root,-)
%doc COPYING* AUTHORS ChangeLog README
%{_datadir}/gtk-doc/html/libdbusmenu-glib

%files gtk2
%defattr(-,root,root,-)
%doc COPYING* AUTHORS ChangeLog README
%{_libdir}/libdbusmenu-gtk.so.*

%files gtk2-devel
%defattr(-,root,root,-)
%doc COPYING* AUTHORS ChangeLog README
%{_includedir}/libdbusmenu-%{major}/libdbusmenu-gtk
%{_libdir}/libdbusmenu-gtk.so
%{_libdir}/pkgconfig/dbusmenu-gtk-%{major}.pc

%files gtk3
%defattr(-,root,root,-)
%doc COPYING* AUTHORS ChangeLog README
%{_libdir}/girepository-1.0/DbusmenuGtk3-%{major}.typelib
%{_datadir}/gir-1.0/DbusmenuGtk3-%{major}.gir
%{_libdir}/libdbusmenu-gtk3.so.*

%files gtk3-devel
%defattr(-,root,root,-)
%doc COPYING* AUTHORS ChangeLog README
%{_libdir}/pkgconfig/dbusmenu-gtk3-%{major}.pc
%{_datadir}/vala/vapi/DbusmenuGtk3-%{major}.vapi
%{_includedir}/libdbusmenu-%{major}/libdbusmenu-gtk3
%{_libdir}/libdbusmenu-gtk3.so

%files gtk3-devel-docs
%defattr(-,root,root,-)
%doc COPYING* AUTHORS ChangeLog README
%{_datadir}/gtk-doc/html/libdbusmenu-gtk

%files json-loader
%defattr(-,root,root,-)
%doc COPYING* AUTHORS ChangeLog README
%{_libdir}/libdbusmenu-jsonloader.so.*

%files json-loader-devel
%defattr(-,root,root,-)
%doc COPYING* AUTHORS ChangeLog README
%{_includedir}/libdbusmenu-%{major}/libdbusmenu-jsonloader
%{_libdir}/libdbusmenu-jsonloader.so
%{_libdir}/pkgconfig/dbusmenu-jsonloader-%{major}.pc

%files tools
%defattr(-,root,root,-)
%doc COPYING* AUTHORS ChangeLog README
%{_libexecdir}/dbusmenu-bench
%{_libexecdir}/dbusmenu-dumper
%{_libexecdir}/dbusmenu-testapp
%{_datadir}/%{name}/README.dbusmenu-bench
%{_datadir}/%{name}/json

%changelog
* Mon May 09 2011 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.4.4-1
- Initial package
